Name:           glite-lbjp-common-log
Version:        1.3.8
Release:        1%{?dist}
Summary:        Definitions of glite common logging formats for LB and JP

License:        ASL 2.0
Url:            http://glite.cern.ch
Source:         http://scientific.zcu.cz/emi/emi.lbjp-common.log/%{name}-%{version}.tar.gz
# https://github.com/CESNET/glite-lb/commit/305f8d703b6e69e62529eabfb7a9bd689d981d09
Patch0:         cflags.patch

BuildRequires:  libtool
BuildRequires:  log4c-devel%{?_isa}
BuildRequires:  perl
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(POSIX)
BuildRequires:  pkgconfig

%description
Definitions of glite common logging formats for LB and JP.

%package        devel
Summary:        Development files for gLite L&B/JP common log module
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains development libraries and header files for gLite L&B/JP
common log module.


%prep
%setup -q
%patch0 -p2


%build
perl ./configure --root=/ --prefix=%{_prefix} --libdir=%{_lib} --module lbjp-common.log
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make


%check
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make check


%install
make install DESTDIR=$RPM_BUILD_ROOT
install -m 0644 LICENSE project/ChangeLog $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}
find $RPM_BUILD_ROOT -name '*.la' -exec rm -rf {} \;
find $RPM_BUILD_ROOT -name '*.a' -exec rm -rf {} \;


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%dir %{_docdir}/%{name}-%{version}
%dir %{_sysconfdir}/glite-lb
%config(noreplace) %{_sysconfdir}/glite-lb/log4crc
%doc %{_docdir}/%{name}-%{version}/ChangeLog
%doc %{_docdir}/%{name}-%{version}/LICENSE
%doc %{_docdir}/%{name}-%{version}/README
%doc %{_docdir}/%{name}-%{version}/log4crc.example-debugging
%doc %{_docdir}/%{name}-%{version}/log4crc.example-production
%{_libdir}/libglite_lbu_log.so.1
%{_libdir}/libglite_lbu_log.so.1.*

%files devel
%dir %{_includedir}/glite
%dir %{_includedir}/glite/lbu
%{_includedir}/glite/lbu/log.h
%{_libdir}/libglite_lbu_log.so


%changelog
* Wed Jul 03 2013 František Dvořák <valtri@civ.zcu.cz> - 1.3.8-1
- Initial package
